
Figure - Bug #115366
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【ST】【DTC】DTC诊断error日志，关键词需以DTC_XXX显示
2023-01-16 18:54 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-16

Priority: Normal Due date: 2023-02-22

Assignee: 移动测试一组_CDTS 刘强 % Done: 80%

Category: CD-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0090_20230411

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202301150351

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 新增需求，之前未集成DTC诊断日志。

Description

【前提条件】

使用稳压电源进线供电

【测试步骤】

1. 烧写正常版本后开机

2. 根据附件截图验证DTC异常情况，并查看error日志诊断情况

3. 所有DTC诊断关键词以：DTC_XXX显示

【预期结果】

3 DTC诊断error日志，关键词需以DTC_XXX显示

【实际结果】

3 实际诊断日志多种多样

如：

MCU电压

λ adb logcat | grep 'ProtectUartService' 低压

01-15 01:58:12.357 2462 2514 D ProtectUartService: received RegisterListener token:LAUNCHER_VOLTAGE_PROTECT

01-15 01:58:14.776 2462 2570 D ProtectUartService: send mpu boot completed res=0

01-15 02:08:24.854 2462 2575 D ProtectUartService: received high voltage warning

01-15 02:08:24.916 2462 2570 D ProtectUartService: send finish high voltage protect res=0

eth：

01-01 10:07:09.045     0     0 E DTC_eth,link_delay_work_func: 3002, SQI=0, link=0

Display/Touch

01-01 10:03:50.718     0     0 E atmel_mxt_ts 0-004a: Failed to read T44/T144 and T5 (-107)

01-01 10:03:50.730     0     0 E atmel_mxt_ts 0-004a: __mxt_read_reg: i2c transfer failed (-107)

History

#1 - 2023-01-17 11:01 - CD TPM-王祥林

- Due date set to 2023-01-19

#2 - 2023-01-18 13:45 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

177460 general/platform/vendor/thundercom

m/apps/MircoService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:MicroService:Add DTC_ETH LogTC-RID: 1201-0206101IssueID: TS-R-BUG-115366Change-Id: I26de96f1ba9e68634e6a6a2ae06dae2f77e520d4

#3 - 2023-01-18 13:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

177467 general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Service - Add DTC_ETH LogTC-RID: 1201-0206001IssueID: TS-R-BUG-115366Change-Id: I1c8519b16abec9bc107f281ac5afa8ccbe6fd83f

#4 - 2023-01-18 14:24 - CD TPM-王祥林

模块 任务票 状态

Display https://share.thundersoft.com/redmine

/issues/114628

完成

MCU https://share.thundersoft.com/redmine

/issues/115369

完成

FAN https://share.thundersoft.com/redmine

/issues/115243

完成

ETH

https://share.thundersoft.com/redmine

/issues/115371https://share.thundersof

t.com/redmine/issues/115370https://sh

are.thundersoft.com/redmine/issues/1

13216

完成

WIFI https://share.thundersoft.com/redmine

/issues/115373

完成

BT https://share.thundersoft.com/redmine

/issues/115372

完成

#5 - 2023-01-18 14:25 - CD TPM-王祥林

- Status changed from New to ASSIGNED

- % Done changed from 0 to 60

#6 - 2023-01-31 11:39 - CD TPM-王祥林

- Due date changed from 2023-01-19 to 2023-02-07

#7 - 2023-02-08 16:05 - CD TPM-王祥林

- Due date changed from 2023-02-07 to 2023-02-22

- % Done changed from 60 to 80
除开LCD依赖屏幕厂商以外，其他的已经完成。

#8 - 2023-02-17 10:37 - CD TPM-王祥林

- Target version set to VC1_FSE_0082_20230314

#9 - 2023-02-28 14:18 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD TPM-王祥林 to 移动测试一组_CDTS 刘强

- Resolution changed from -- to FIXED

- Root cause set to 新增需求，之前未集成DTC诊断日志。

#10 - 2023-02-28 14:19 - CD TPM-王祥林

刘强

请在3.1或者之后的版本验证。

#11 - 2023-03-07 11:14 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to SZTS_TEST 邹涛

麻烦帮忙验证下

#12 - 2023-03-07 11:18 - 移动测试一组_CDTS 刘强

- Assignee changed from SZTS_TEST 邹涛 to 移动测试一组_CDTS 刘强

#13 - 2023-03-23 14:29 - CDTS_TEST 王成

- Target version changed from VC1_FSE_0082_20230314 to VC1_FSE_0086_20230328

#14 - 2023-03-23 18:32 - 移动测试一组_CDTS 刘强

- File DTC测试结果.jpg added

Hi all

测试结果如下所示
#15 - 2023-03-28 18:39 - 移动测试一组_CDTS 刘强

等FAN 新修改合入后再次验证

#16 - 2023-04-04 16:50 - CDTS_TEST 王成

- Target version changed from VC1_FSE_0086_20230328 to VC1_FSE_0090_20230411

#17 - 2023-04-12 14:23 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

FAN修改后，DTC显示正常，因此目前已知DTC日志显示正常，关闭此issue

#18 - 2023-04-12 14:23 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

DTC.png 178 KB 2023-01-16 移动测试一组_CDTS 刘强

DTC测试结果.jpg 230 KB 2023-03-23 移动测试一组_CDTS 刘强
